apiVersion: v1
kind: ConfigMap
metadata:
  name: vzzpr-config
  namespace: vzzpr-backend
  labels:
    app: vzzpr-backend
data:
  PORT: "7440"
  API_PREFIX: "/api/v1"
  APP_URL: "https://backend.vzzpr.com/api/v1"
  ASSETS_PATH: "uploads"
  BASE_PATH: "https://backend.vzzpr.com/public/uploads/"
  MODE: "DEV"
  NODE_ENV: "development"
  AWS_REGION: "us-east-1"
  S3_BUCKET_NAME: "vzzpr-assets"
  AWS_SNS_USERNAME: "VZZPR"
  AWS_SNS_REGION: "us-east-1"
  REDIS_HOST: "redis"
  REDIS_PORT: "6370"
  NODE_OPTIONS: "--max-old-space-size=4096"
  # HLS/DASH Processing Configuration
  HLS_SEGMENT_DURATION: "10"
  HLS_QUALITY_LEVELS: "1080p,720p,480p,360p"
  VIDEO_PROCESSING_TEMP_DIR: "/tmp/video-processing"
  # CDN Configuration (optional)
  CDN_BASE_URL: ""
  ENABLE_CDN: "false"
  # CORS Configuration
  CORS_ORIGINS: "*"
  # Worker Configuration
  NOTIF_WORKER_CONCURRENCY: "2"
  VIDEO_WORKER_CONCURRENCY: "2"
  WORKER_HEALTH_PORT: "8092"
  TS_NODE_TRANSPILE_ONLY: "1"
  # Rate Limiting
  RATE_LIMIT_MAX: "300"
  # Health Check Configuration
  HEALTH_CHECK_INTERVAL: "30"
  HEALTH_CHECK_TIMEOUT: "10"